<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Nano102_112 Series BSP: FMC_T Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Nano102_112 Series BSP
   &#160;<span id="projectnumber">V3.03.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for  Nano102_112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">FMC_T Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ad658f15872614d8af77a748cf2f18d67"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_f_m_c___t.html#ad658f15872614d8af77a748cf2f18d67">ISPCON</a></td></tr>
<tr class="separator:ad658f15872614d8af77a748cf2f18d67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02da88864194e77c672763a1389d5839"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_f_m_c___t.html#a02da88864194e77c672763a1389d5839">ISPADR</a></td></tr>
<tr class="separator:a02da88864194e77c672763a1389d5839"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93a594f096446ee933113f6c57c200c3"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_f_m_c___t.html#a93a594f096446ee933113f6c57c200c3">ISPDAT</a></td></tr>
<tr class="separator:a93a594f096446ee933113f6c57c200c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a535eb6e9457c338ac7515a5d2ff06802"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_f_m_c___t.html#a535eb6e9457c338ac7515a5d2ff06802">ISPCMD</a></td></tr>
<tr class="separator:a535eb6e9457c338ac7515a5d2ff06802"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef7c67979c87346e1de844a30b649269"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_f_m_c___t.html#aef7c67979c87346e1de844a30b649269">ISPTRG</a></td></tr>
<tr class="separator:aef7c67979c87346e1de844a30b649269"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f8433cf17517dba01cee3cbd65f4e63"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_f_m_c___t.html#a6f8433cf17517dba01cee3cbd65f4e63">DFBADR</a></td></tr>
<tr class="separator:a6f8433cf17517dba01cee3cbd65f4e63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84b8652eeb9b92b1eaf40b204d7d405b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_f_m_c___t.html#a84b8652eeb9b92b1eaf40b204d7d405b">RESERVE0</a> [10]</td></tr>
<tr class="separator:a84b8652eeb9b92b1eaf40b204d7d405b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dc78a1205af2308d25719d882f78764"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_f_m_c___t.html#a2dc78a1205af2308d25719d882f78764">ISPSTA</a></td></tr>
<tr class="separator:a2dc78a1205af2308d25719d882f78764"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup FMC Flash Memory Controller(FMC)
Memory Mapped Structure for FMC Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02468">2468</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a6f8433cf17517dba01cee3cbd65f4e63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f8433cf17517dba01cee3cbd65f4e63">&#9670;&nbsp;</a></span>DFBADR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__I uint32_t FMC_T::DFBADR</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>DFBADR </h1>
<h2>Offset: 0x14 Data Flash Base Address Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[31:0]  </td><td class="markdownTableBodyCenter">DFBADR  </td><td class="markdownTableBodyLeft">Data Flash Base Address   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This register indicates data flash start address. It is a read only register.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The data flash start address is defined by user.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Since on chip flash erase unit is 512 bytes, it is mandatory to keep bit 8-0 as 0.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02581">2581</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a02da88864194e77c672763a1389d5839"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02da88864194e77c672763a1389d5839">&#9670;&nbsp;</a></span>ISPADR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t FMC_T::ISPADR</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>ISPADR </h1>
<h2>Offset: 0x04 ISP Address Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[31:0]  </td><td class="markdownTableBodyCenter">ISPADR  </td><td class="markdownTableBodyLeft">ISP Address   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This chip supports word program only.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">ISPADR[1:0] must be kept 00b for ISP operation, and ISPADR[8:0] must be kept all 0 for Vector Page Re-map Command.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02519">2519</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a535eb6e9457c338ac7515a5d2ff06802"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a535eb6e9457c338ac7515a5d2ff06802">&#9670;&nbsp;</a></span>ISPCMD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t FMC_T::ISPCMD</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>ISPCMD </h1>
<h2>Offset: 0x0C ISP Command Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[3:0]  </td><td class="markdownTableBodyCenter">FCTRL  </td><td class="markdownTableBodyLeft">ISP Command   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The ISP command table is shown as follows   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Read (FOEN = 0, FCEN = 0, FCRTL = 0000)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Program (FOEN = 1, FCEN = 0, FCRTL = 0001)   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Page Erase (FOEN = 1, FCEN = 0, FCRTL = 0010)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Read CID (FOEN = 0, FCEN = 0, FCRTL = 1011)   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Read DID (FOEN = 0, FCEN = 0, FCRTL = 1100)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[4]  </td><td class="markdownTableBodyCenter">FCEN  </td><td class="markdownTableBodyLeft">ISP Command   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The ISP command table is shown as above.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[5]  </td><td class="markdownTableBodyCenter">FOEN  </td><td class="markdownTableBodyLeft">ISP Command   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The ISP command table is shown as above.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02553">2553</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ad658f15872614d8af77a748cf2f18d67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad658f15872614d8af77a748cf2f18d67">&#9670;&nbsp;</a></span>ISPCON</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t FMC_T::ISPCON</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>ISPCON </h1>
<h2>Offset: 0x00 ISP Control Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">ISPEN  </td><td class="markdownTableBodyLeft">ISP Enable Control (Write Protect)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">ISP function enable bit. Set this bit to enable ISP function.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = ISP function Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = ISP function Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[1]  </td><td class="markdownTableBodyCenter">BS  </td><td class="markdownTableBodyLeft">Boot Select (Write Protect)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Set/clear this bit to select next booting from LDROM/APROM, respectively.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This bit also functions as chip booting status flag, which can be used to check where chip booted from.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This bit is initiated with the inversed value of CBS in Config0 after power-on reset; It keeps the same value at other reset.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Boot from APROM.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Boot from LDROM.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[3]  </td><td class="markdownTableBodyCenter">APUEN  </td><td class="markdownTableBodyLeft">APROM Update Enable Control (Write Protect)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = APROM cannot be updated.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = APROM can be updated.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[4]  </td><td class="markdownTableBodyCenter">CFGUEN  </td><td class="markdownTableBodyLeft">Enable Config-Bits Update By ISP (Write Protect)   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = ISP update User Configuration Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = ISP update User Configuration Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[5]  </td><td class="markdownTableBodyCenter">LDUEN  </td><td class="markdownTableBodyLeft">LDROM Update Enable Control (Write Protect)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = LDROM cannot be updated.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = LDROM can be updated.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[6]  </td><td class="markdownTableBodyCenter">ISPFF  </td><td class="markdownTableBodyLeft">ISP Fail Flag (Write Protect)   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This bit is set by hardware when a triggered ISP meets any of the following conditions:   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">(1) APROM writes to itself if APUEN is set to 0 or CBS[0]=1.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">(2) LDROM writes to itself if LDUEN is set to 0 or CBS[0]=1.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">(3) User Configuration is erased/programmed when CFGUEN is 0.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">(4) Destination address is illegal, such as over an available range.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note: Write 1 to clear this bit to 0.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02506">2506</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a93a594f096446ee933113f6c57c200c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93a594f096446ee933113f6c57c200c3">&#9670;&nbsp;</a></span>ISPDAT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t FMC_T::ISPDAT</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>ISPDAT </h1>
<h2>Offset: 0x08 ISP Data Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[31:0]  </td><td class="markdownTableBodyCenter">ISPDAT  </td><td class="markdownTableBodyLeft">ISP Data   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Write data to this register before ISP program operation   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Read data from this register after ISP read operation   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02532">2532</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a2dc78a1205af2308d25719d882f78764"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dc78a1205af2308d25719d882f78764">&#9670;&nbsp;</a></span>ISPSTA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__I uint32_t FMC_T::ISPSTA</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>ISPSTA </h1>
<h2>Offset: 0x40 ISP Status Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">ISPBUSY  </td><td class="markdownTableBodyLeft">ISP Busy (Read Only)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = ISP operation is finished.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = ISP operation is busy.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[2:1]  </td><td class="markdownTableBodyCenter">CBS  </td><td class="markdownTableBodyLeft">Config Boot Selection Status (Read Only)   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This filed is a mirror of CBS in CONFIG0.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[5]  </td><td class="markdownTableBodyCenter">PGFF  </td><td class="markdownTableBodyLeft">Auto Flash Program Verified Fail Flag   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This chip will perform flash verification automatically at the end of ISP PROGRAM operation, and set 1 to this bit when flash data is not matched with programming.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This bit is clear to 0 by "ERASE" command.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[6]  </td><td class="markdownTableBodyCenter">ISPFF  </td><td class="markdownTableBodyLeft">ISP Fail Flag   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">(1) APROM writes to itself if APUEN is set to 0 or CBS[0]=1.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">(2) LDROM writes to itself if LDUEN is set to 0 or CBS[0]=1.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">(3) User Configuration is erased/programmed when CFGUEN is 0.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">(4) Destination address is illegal, such as over an available range.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note: Write 1 to clear this bit to 0.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02607">2607</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="aef7c67979c87346e1de844a30b649269"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef7c67979c87346e1de844a30b649269">&#9670;&nbsp;</a></span>ISPTRG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t FMC_T::ISPTRG</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>ISPTRG </h1>
<h2>Offset: 0x10 ISP Trigger Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">ISPGO  </td><td class="markdownTableBodyLeft">ISP Start Trigger   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Write 1 to start ISP operation and this bit will be cleared to 0 by hardware automatically when ISP operation is finished.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = ISP operation is finished.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = ISP is progressing.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02567">2567</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a84b8652eeb9b92b1eaf40b204d7d405b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84b8652eeb9b92b1eaf40b204d7d405b">&#9670;&nbsp;</a></span>RESERVE0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t FMC_T::RESERVE0[10]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02582">2582</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 6 2020 19:17:55 for Nano102_112 Series BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
